std::hash< __shared_ptr< _Tp, _Lp > > Struct Template Reference

`#include <shared_ptr_base.h>`

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const __shared_ptr< _Tp, _Lp > &__s) const noexcept

## Detailed Description

template<typename _Tp, _Lock_policy _Lp>
struct std::hash< __shared_ptr< _Tp, _Lp > >

std::hash specialization for __shared_ptr.

Definition at line 2247 of file shared_ptr_base.h.

## Member Typedef Documentation

## argument_type

template<typename _Result, typename _Arg>

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result, typename _Arg>

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<typename _Tp, _Lock_policy _Lp>

size_t std::hash< __shared_ptr< _Tp, _Lp > >::operator() | ( | const __shared_ptr< _Tp, _Lp > & | __s | ) | const

inline noexcept

Definition at line 2251 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- shared_ptr_base.h